RTEMS: STM_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
STM_tag Struct Reference

## Data Fields
union {
uint32_t R
struct {
uint32_t __pad0__:16
uint32_t CPS:8
uint32_t __pad1__:6
uint32_t FRZ:1
uint32_t TEN:1
} B
} | CR
union {
uint32_t R
} | CNT
int32_t | STM_reserved [2]
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CEN:1
} B
} | CCR0
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CIF:1
} B
} | CIR0
union {
uint32_t R
} | CMP0
int32_t | STM_reserved1
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CEN:1
} B
} | CCR1
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CIF:1
} B
} | CIR1
union {
uint32_t R
} | CMP1
int32_t | STM_reserved2
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CEN:1
} B
} | CCR2
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CIF:1
} B
} | CIR2
union {
uint32_t R
} | CMP2
int32_t | STM_reserved3
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CEN:1
} B
} | CCR3
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CIF:1
} B
} | CIR3
union {
uint32_t R
} | CMP3
union {
uint32_t R
struct {
uint32_t __pad0__:16
uint32_t CPS:8
uint32_t __pad1__:6
uint32_t FRZ:1
uint32_t TEN:1
} B
} | CR
union {
uint32_t R
} | CNT
uint32_t | STM_reserved0008 [2]
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CEN:1
} B
} | CCR0
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CIF:1
} B
} | CIR0
union {
uint32_t R
} | CMP0
uint32_t | STM_reserved2 [1]
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CEN:1
} B
} | CCR1
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CIF:1
} B
} | CIR1
union {
uint32_t R
} | CMP1
uint32_t | STM_reserved3 [1]
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CEN:1
} B
} | CCR2
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CIF:1
} B
} | CIR2
union {
uint32_t R
} | CMP2
uint32_t | STM_reserved4 [1]
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CEN:1
} B
} | CCR3
union {
uint32_t R
struct {
uint32_t __pad0__:31
uint32_t CIF:1
} B
} | CIR3
union {
uint32_t R
} | CMP3
uint32_t | STM_reserved0050 [4076]

The documentation for this struct was generated from the following files:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc5668.h
- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc567x.h